/* Copyright 2008 Daniel Vokó <vokoda@gmail.com>
 * 
 * This file is part of Sagittarius.
 *
 * Sagittarius is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * Sagittarius is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Sagittarius.  If not, see <http://www.gnu.org/licenses/>.
 */

using System;
using System.IO;
using Gtk;

namespace Sagittarius
{
	
	
	public partial class PreferencesDialog : Gtk.Dialog
	{
		private Config config;
		public PreferencesDialog(Config config)
		{
			this.Build();
			this.config=config;
			thumbSizeSbtn.Value=config.ThumbSize;
			prevMaxSizeSbtn.Value=config.PrevMaxSize;
			filechooserBtn.SetFilename(config.ExitoolExecutable);
			backupChBtn.Active=config.CreateBackup;
		}

		protected virtual void OnButtonOkClicked (object sender, System.EventArgs e)
		{
			config.ThumbSize=(int)thumbSizeSbtn.Value;
			config.PrevMaxSize=(int)prevMaxSizeSbtn.Value;
			config.ExitoolExecutable=filechooserBtn.Filename;
			config.CreateBackup=backupChBtn.Active;
			config.WriteConfig();
			this.Respond(Gtk.ResponseType.Accept);
		}

		protected virtual void OnButtonCancelClicked (object sender, System.EventArgs e)
		{
			this.Respond(Gtk.ResponseType.Cancel);
		}

	}
}
